<div class='header'>
  <a routerLink='' id='logo'>TUTOR<span id="ed">ED</span></a>
  <div *ngIf="!localUser" class='registration'>
    <a class='btns' routerLink = '/login'>Prijavi se</a>
    <a id="sign-up" class='btns btn-right' routerLink="/sign-up">Registruj se</a>
  </div>
  <div *ngIf="localUser" class='registration'>
    <a *ngIf="localUser.teacher" class='btns underline' routerLink = '/courses/create'>Novi kurs</a>
    <a *ngIf="!localUser.teacher" class='btns underline' routerLink = '/users/teacher'>Postani profesor</a>
    <a class='btns' routerLink = '/' (click)="onLogout()">Odjavi se</a>
    <button class='btns profile-dropdown' mat-icon-button [matMenuTriggerFor]="menu" aria-label="settings">
      <mat-icon>account_circle</mat-icon>
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item (click)="goToMyCourses()">
        <mat-icon>assignment</mat-icon>
        <span >Upisani Kursevi</span>
      </button>
      <button *ngIf="localUser.teacher != null" (click)="goToCreatedCourses()" mat-menu-item>
        <mat-icon>assignment_ind</mat-icon>
        <span>Napravljeni Kursevi</span>
      </button>
      <button mat-menu-item (click)="goToPrefs()">
        <mat-icon>settings</mat-icon>
        <span>Opcije</span>
      </button>
    </mat-menu>

  </div>
</div>
